package net.sourceforge.nattable.filterrow.event;

import net.sourceforge.nattable.NatTable;
import net.sourceforge.nattable.filterrow.event.FilterRowMouseEventMatcher;
import net.sourceforge.nattable.layer.LabelStack;
import net.sourceforge.nattable.ui.util.CellEdgeDetectUtil;
import net.sourceforge.nattable.ui.util.CellEdgeEnum;

import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.graphics.Point;

public class ClearFilterIconMouseEventMatcher extends FilterRowMouseEventMatcher {

	@Override
	public boolean matches(NatTable natTable, MouseEvent event, LabelStack regionLabels) {

		CellEdgeEnum cellEdge = CellEdgeDetectUtil.getHorizontalCellEdge(natTable, new Point(event.x, event.y), 15);

		return (super.matches(natTable, event, regionLabels) && CellEdgeEnum.RIGHT == cellEdge);
	}
}
