package net.sourceforge.nattable.hideshow.command;

import net.sourceforge.nattable.command.AbstractLayerCommandHandler;
import net.sourceforge.nattable.hideshow.RowHideShowLayer;

public class ShowAllRowsCommandHandler extends AbstractLayerCommandHandler<ShowAllRowsCommand> {
	
	private final RowHideShowLayer rowHideShowLayer;

	public ShowAllRowsCommandHandler(RowHideShowLayer rowHideShowLayer) {
		this.rowHideShowLayer = rowHideShowLayer;
	}
	
	public Class<ShowAllRowsCommand> getCommandClass() {
		return ShowAllRowsCommand.class;
	}

	@Override
	protected boolean doCommand(ShowAllRowsCommand command) {
		rowHideShowLayer.showAllRows();
		return true;
	}
	
}
